package com.gmei.data.monitor.utils;

import com.gmei.data.monitor.common.Constants;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;

public class MysqlUtils {

	private String jdbcUrl;
	private static final Logger logger = LoggerFactory.getLogger(MysqlUtils.class);

	public MysqlUtils(String jdbcUrl) {
		this.jdbcUrl = jdbcUrl;
		try {
			Class.forName(Constants.MYSQL_DRIVER_CLASS);
		} catch (Exception e) {
			logger.error(e.getMessage());
		}
	}

	public Object getSimpleResult(String sql){
		Object rs = "";
		try{
			Connection connection = DriverManager.getConnection(jdbcUrl);
			PreparedStatement ps = connection.prepareStatement(sql);
			ResultSet resultSet = ps.executeQuery();
			while (resultSet.next()) {
				rs = resultSet.getObject(1);
			}
			resultSet.close();
			ps.close();
			connection.close();
		}catch (Exception e){

		}
		return rs;
	}

}
